ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/svn/vendor/pxys2-2.0.0/pxyscand/Makefile.in
Revision: 3252
Committed: Wed Apr 2 20:41:43 2014 UTC (9 years, 11 months ago) by michael
File size: 13384 byte(s)
Log Message:
- Imported pxys2-2.0.0

File Contents

# Content
1 # Makefile.in generated by automake 1.6.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
5 # Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 SHELL = @SHELL@
17
18 srcdir = @srcdir@
19 top_srcdir = @top_srcdir@
20 VPATH = @srcdir@
21 prefix = @prefix@
22 exec_prefix = @exec_prefix@
23
24 bindir = @bindir@
25 sbindir = @sbindir@
26 libexecdir = @libexecdir@
27 datadir = @datadir@
28 sysconfdir = @sysconfdir@
29 sharedstatedir = @sharedstatedir@
30 localstatedir = @localstatedir@
31 libdir = @libdir@
32 infodir = @infodir@
33 mandir = @mandir@
34 includedir = @includedir@
35 oldincludedir = /usr/include
36 pkgdatadir = $(datadir)/@PACKAGE@
37 pkglibdir = $(libdir)/@PACKAGE@
38 pkgincludedir = $(includedir)/@PACKAGE@
39 top_builddir = .
40
41 ACLOCAL = @ACLOCAL@
42 AUTOCONF = @AUTOCONF@
43 AUTOMAKE = @AUTOMAKE@
44 AUTOHEADER = @AUTOHEADER@
45
46 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
47 INSTALL = @INSTALL@
48 INSTALL_PROGRAM = @INSTALL_PROGRAM@
49 INSTALL_DATA = @INSTALL_DATA@
50 install_sh_DATA = $(install_sh) -c -m 644
51 install_sh_PROGRAM = $(install_sh) -c
52 install_sh_SCRIPT = $(install_sh) -c
53 INSTALL_SCRIPT = @INSTALL_SCRIPT@
54 INSTALL_HEADER = $(INSTALL_DATA)
55 transform = @program_transform_name@
56 NORMAL_INSTALL = :
57 PRE_INSTALL = :
58 POST_INSTALL = :
59 NORMAL_UNINSTALL = :
60 PRE_UNINSTALL = :
61 POST_UNINSTALL = :
62
63 EXEEXT = @EXEEXT@
64 OBJEXT = @OBJEXT@
65 PATH_SEPARATOR = @PATH_SEPARATOR@
66 AMTAR = @AMTAR@
67 AWK = @AWK@
68 CC = @CC@
69 CXX = @CXX@
70 DEPDIR = @DEPDIR@
71 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
72 MAINT = @MAINT@
73 PACKAGE = @PACKAGE@
74 STRIP = @STRIP@
75 UP = @UP@
76 VERSION = @VERSION@
77 XMLCONFIG = @XMLCONFIG@
78 am__include = @am__include@
79 am__quote = @am__quote@
80 install_sh = @install_sh@
81 AUTOMAKE_OPTIONS = foreign
82 SUBDIRS = src px
83 EXTRA_DIST = pxyscandconf.xml doc-pxyscandconf.xml include/PXServiceMsg.h
84 subdir = .
85 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
86 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
87 CONFIG_HEADER = config.h
88 CONFIG_CLEAN_FILES =
89 depcomp =
90 am__depfiles_maybe =
91 DIST_SOURCES =
92
93 RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
94 uninstall-info-recursive all-recursive install-data-recursive \
95 install-exec-recursive installdirs-recursive install-recursive \
96 uninstall-recursive check-recursive installcheck-recursive
97 DIST_COMMON = ChangeLog Makefile.am Makefile.in acinclude.m4 aclocal.m4 \
98 config.h.in configure configure.ac install-sh missing \
99 mkinstalldirs
100 DIST_SUBDIRS = $(SUBDIRS)
101 all: config.h
102 $(MAKE) $(AM_MAKEFLAGS) all-recursive
103
104 .SUFFIXES:
105
106 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
107 configure.lineno
108 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
109 cd $(top_srcdir) && \
110 $(AUTOMAKE) --foreign --ignore-deps Makefile
111 Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
112 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
113
114 $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
115 $(SHELL) ./config.status --recheck
116 $(srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
117 cd $(srcdir) && $(AUTOCONF)
118
119 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ configure.ac acinclude.m4
120 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
121
122 config.h: stamp-h1
123 @if test ! -f $@; then \
124 rm -f stamp-h1; \
125 $(MAKE) stamp-h1; \
126 else :; fi
127
128 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
129 @rm -f stamp-h1
130 cd $(top_builddir) && $(SHELL) ./config.status config.h
131
132 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(top_srcdir)/configure.ac $(ACLOCAL_M4)
133 cd $(top_srcdir) && $(AUTOHEADER)
134 touch $(srcdir)/config.h.in
135
136 distclean-hdr:
137 -rm -f config.h stamp-h1
138 uninstall-info-am:
139
140 # This directory's subdirectories are mostly independent; you can cd
141 # into them and run `make' without going through this Makefile.
142 # To change the values of `make' variables: instead of editing Makefiles,
143 # (1) if the variable is set in `config.status', edit `config.status'
144 # (which will cause the Makefiles to be regenerated when you run `make');
145 # (2) otherwise, pass the desired values on the `make' command line.
146 $(RECURSIVE_TARGETS):
147 @set fnord $$MAKEFLAGS; amf=$$2; \
148 dot_seen=no; \
149 target=`echo $@ | sed s/-recursive//`; \
150 list='$(SUBDIRS)'; for subdir in $$list; do \
151 echo "Making $$target in $$subdir"; \
152 if test "$$subdir" = "."; then \
153 dot_seen=yes; \
154 local_target="$$target-am"; \
155 else \
156 local_target="$$target"; \
157 fi; \
158 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
159 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
160 done; \
161 if test "$$dot_seen" = "no"; then \
162 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
163 fi; test -z "$$fail"
164
165 mostlyclean-recursive clean-recursive distclean-recursive \
166 maintainer-clean-recursive:
167 @set fnord $$MAKEFLAGS; amf=$$2; \
168 dot_seen=no; \
169 case "$@" in \
170 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
171 *) list='$(SUBDIRS)' ;; \
172 esac; \
173 rev=''; for subdir in $$list; do \
174 if test "$$subdir" = "."; then :; else \
175 rev="$$subdir $$rev"; \
176 fi; \
177 done; \
178 rev="$$rev ."; \
179 target=`echo $@ | sed s/-recursive//`; \
180 for subdir in $$rev; do \
181 echo "Making $$target in $$subdir"; \
182 if test "$$subdir" = "."; then \
183 local_target="$$target-am"; \
184 else \
185 local_target="$$target"; \
186 fi; \
187 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
188 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
189 done && test -z "$$fail"
190 tags-recursive:
191 list='$(SUBDIRS)'; for subdir in $$list; do \
192 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
193 done
194
195 ETAGS = etags
196 ETAGSFLAGS =
197
198 tags: TAGS
199
200 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
201 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
202 unique=`for i in $$list; do \
203 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
204 done | \
205 $(AWK) ' { files[$$0] = 1; } \
206 END { for (i in files) print i; }'`; \
207 mkid -fID $$unique
208
209 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
210 $(TAGS_FILES) $(LISP)
211 tags=; \
212 here=`pwd`; \
213 list='$(SUBDIRS)'; for subdir in $$list; do \
214 if test "$$subdir" = .; then :; else \
215 test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
216 fi; \
217 done; \
218 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
219 unique=`for i in $$list; do \
220 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
221 done | \
222 $(AWK) ' { files[$$0] = 1; } \
223 END { for (i in files) print i; }'`; \
224 test -z "$(ETAGS_ARGS)$$tags$$unique" \
225 || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
226 $$tags $$unique
227
228 GTAGS:
229 here=`$(am__cd) $(top_builddir) && pwd` \
230 && cd $(top_srcdir) \
231 && gtags -i $(GTAGS_ARGS) $$here
232
233 distclean-tags:
234 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
235 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
236
237 top_distdir = .
238 distdir = $(PACKAGE)-$(VERSION)
239
240 am__remove_distdir = \
241 { test ! -d $(distdir) \
242 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
243 && rm -fr $(distdir); }; }
244
245 GZIP_ENV = --best
246 distcleancheck_listfiles = find . -type f -print
247
248 distdir: $(DISTFILES)
249 $(am__remove_distdir)
250 mkdir $(distdir)
251 $(mkinstalldirs) $(distdir)/include
252 @list='$(DISTFILES)'; for file in $$list; do \
253 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
254 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
255 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
256 dir="/$$dir"; \
257 $(mkinstalldirs) "$(distdir)$$dir"; \
258 else \
259 dir=''; \
260 fi; \
261 if test -d $$d/$$file; then \
262 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
263 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
264 fi; \
265 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
266 else \
267 test -f $(distdir)/$$file \
268 || cp -p $$d/$$file $(distdir)/$$file \
269 || exit 1; \
270 fi; \
271 done
272 list='$(SUBDIRS)'; for subdir in $$list; do \
273 if test "$$subdir" = .; then :; else \
274 test -d $(distdir)/$$subdir \
275 || mkdir $(distdir)/$$subdir \
276 || exit 1; \
277 (cd $$subdir && \
278 $(MAKE) $(AM_MAKEFLAGS) \
279 top_distdir="$(top_distdir)" \
280 distdir=../$(distdir)/$$subdir \
281 distdir) \
282 || exit 1; \
283 fi; \
284 done
285 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
286 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
287 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
288 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
289 || chmod -R a+r $(distdir)
290 dist-gzip: distdir
291 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
292 $(am__remove_distdir)
293
294 dist dist-all: distdir
295 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
296 $(am__remove_distdir)
297
298 # This target untars the dist file and tries a VPATH configuration. Then
299 # it guarantees that the distribution is self-contained by making another
300 # tarfile.
301 distcheck: dist
302 $(am__remove_distdir)
303 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
304 chmod -R a-w $(distdir); chmod a+w $(distdir)
305 mkdir $(distdir)/=build
306 mkdir $(distdir)/=inst
307 chmod a-w $(distdir)
308 dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
309 && cd $(distdir)/=build \
310 && ../configure --srcdir=.. --prefix=$$dc_install_base \
311 $(DISTCHECK_CONFIGURE_FLAGS) \
312 && $(MAKE) $(AM_MAKEFLAGS) \
313 && $(MAKE) $(AM_MAKEFLAGS) dvi \
314 && $(MAKE) $(AM_MAKEFLAGS) check \
315 && $(MAKE) $(AM_MAKEFLAGS) install \
316 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
317 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
318 && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
319 || { echo "ERROR: files left after uninstall:" ; \
320 find $$dc_install_base -type f -print ; \
321 exit 1; } >&2 ) \
322 && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
323 && rm -f $(distdir).tar.gz \
324 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
325 $(am__remove_distdir)
326 @echo "$(distdir).tar.gz is ready for distribution" | \
327 sed 'h;s/./=/g;p;x;p;x'
328 distcleancheck: distclean
329 if test '$(srcdir)' = . ; then \
330 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
331 exit 1 ; \
332 fi
333 test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
334 || { echo "ERROR: files left after distclean:" ; \
335 $(distcleancheck_listfiles) ; \
336 exit 1; } >&2
337 check-am: all-am
338 check: check-recursive
339 all-am: Makefile config.h
340 installdirs: installdirs-recursive
341 installdirs-am:
342
343 install: install-recursive
344 install-exec: install-exec-recursive
345 install-data: install-data-recursive
346 uninstall: uninstall-recursive
347
348 install-am: all-am
349 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
350
351 installcheck: installcheck-recursive
352 install-strip:
353 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
354 INSTALL_STRIP_FLAG=-s \
355 `test -z '$(STRIP)' || \
356 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
357 mostlyclean-generic:
358
359 clean-generic:
360
361 distclean-generic:
362 -rm -f Makefile $(CONFIG_CLEAN_FILES)
363
364 maintainer-clean-generic:
365 @echo "This command is intended for maintainers to use"
366 @echo "it deletes files that may require special tools to rebuild."
367 clean: clean-recursive
368
369 clean-am: clean-generic mostlyclean-am
370
371 distclean: distclean-recursive
372 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
373 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
374
375 dvi: dvi-recursive
376
377 dvi-am:
378
379 info: info-recursive
380
381 info-am:
382
383 install-data-am:
384
385 install-exec-am:
386
387 install-info: install-info-recursive
388
389 install-man:
390
391 installcheck-am:
392
393 maintainer-clean: maintainer-clean-recursive
394 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
395 -rm -rf autom4te.cache
396 maintainer-clean-am: distclean-am maintainer-clean-generic
397
398 mostlyclean: mostlyclean-recursive
399
400 mostlyclean-am: mostlyclean-generic
401
402 uninstall-am: uninstall-info-am
403
404 uninstall-info: uninstall-info-recursive
405
406 .PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
407 clean-generic clean-recursive dist dist-all dist-gzip distcheck \
408 distclean distclean-generic distclean-hdr distclean-recursive \
409 distclean-tags distcleancheck distdir dvi dvi-am dvi-recursive \
410 info info-am info-recursive install install-am install-data \
411 install-data-am install-data-recursive install-exec \
412 install-exec-am install-exec-recursive install-info \
413 install-info-am install-info-recursive install-man \
414 install-recursive install-strip installcheck installcheck-am \
415 installdirs installdirs-am installdirs-recursive \
416 maintainer-clean maintainer-clean-generic \
417 maintainer-clean-recursive mostlyclean mostlyclean-generic \
418 mostlyclean-recursive tags tags-recursive uninstall \
419 uninstall-am uninstall-info-am uninstall-info-recursive \
420 uninstall-recursive
421
422 # Tell versions [3.59,3.63) of GNU make to not export all variables.
423 # Otherwise a system limit (for SysV at least) may be exceeded.
424 .NOEXPORT: